@import "../base/variable.scss";
@import "../base/mixins.scss";

.slider_section{
    padding-top: 130px;
    .detail_slider{
        top: 181px !important;
        z-index: 99;
        .detail_page_start{
            .product_images{
                @include clearfix();
                width: 100%;
                .item{
                    position: relative;
                    .single_image{
                        border-radius: 0px;
                        overflow: hidden;
                        height: 594px;
                        position: relative;
                        img{
                            width: 100%;
                            height: 100%;
                            object-fit: cover;
                        }
                    }
                    .botttom_image{
                        margin: 0;
                        background-color: $black;
                        position: relative;
                        border-radius: 0;
                        overflow: hidden;
                        &:after{
                            position: absolute;
                            content: '';
                            top: 50%;
                            left: 0;
                            right: 0;
                            bottom: 0;
                            margin-left: auto;
                            margin-right: auto;
                            margin-top: -12px;
                            height: 22px;
                            width: 40px;
                            background-image: url('../images/car.png');
                            background-repeat: no-repeat;
                            background-size: 100%;
                            opacity: 0;
                            @include transition(all .3s ease);
                        }
                        img{
                            @include transition(all .3s ease);
                            width: 100%;
                        }
                    }
                }
                #sync1{
                    padding-left: 5px;
                    padding-right: 5px;
                    padding-bottom: 5px;
                    .owl-controls{
                        display: block;
                        .owl-buttons{
                            div{
                                position: absolute;
                                top: 40%;
                                box-shadow: none;
                                text-decoration: none;
                                outline: none;
                                height: 60px;
                                width: 60px;
                                text-align: center;
                                float: left;
                                font-size: 28px;
                                line-height: 60px;
                                border-radius: 0;
                                color: $white;
                                background-color: $light_blue;
                                @include transition(all .3s ease);
                                &:hover{
                                    background-color: darken($light_blue, 10%);
                                    color: $white;
                                }
                                &.owl-prev{
                                    left: -90px;
                                    float: left;
                                }
                                &.owl-next{
                                    right: -90px;
                                    float: right;
                                }
                            }
                        }
                    }
                }
                
                #sync2{
                    // position: absolute;
                    // bottom: 0px;
                    // left: 0;
                    // right: 0;
                    // margin: 0 auto;
                    //text-align: center;
                    margin: 0 10px;
                    .owl-wrapper-outer{
                        position: unset;
                        width: unset;
                        margin: 0;
                        text-align: unset;
                        .owl-wrapper{
                            left: 0 !important;
                            display: flex !important;
                            justify-content: unset;
                            width: 100% !important;
                            flex-direction: row !important;
                            margin: unset !important;
                            right: 0 !important;
                            position: absolute !important;
                            justify-content:center !important;
                            margin-top: -68px !important;
                            transform:  unset !important;
                        }
                    }
                        .owl-item{
                            width: 155px !important;
                            height: 103px;
                            margin: unset;
                            text-align: unset;
                            display: unset;
                            .item{
                                margin: 0 auto;
                                text-align: center;
                                width: 150px;
                                height: 120px;
                                border: 5px solid transparent;
                            
                                padding: 0 0px;
                                .botttom_image{
                                    height: 100%;
                                    img{
                                        width: 100%;
                                        height: 100%;
                                        object-fit: cover;
                                    }
                                }
                            }
                            &.synced{
                                .botttom_image{
                                    
                                }
                                .item{
                                    box-shadow: 0px 4px 10px 0px #00000033;
                                    border: 5px solid $light_blue;
                                }
                            }
                        }

                    .owl-controls{
                        .owl-buttons{
                            div{
                                position: absolute;
                                top: 50%;
                                box-shadow: none;
                                text-decoration: none;
                                outline: none;
                                height: 30px;
                                width: 30px;
                                text-align: center;
                                float: left;
                                font-size: 20px;
                                line-height: 32px;
                                border-radius: 50%;
                                margin-top: -20px;
                                color: $white;
                                background-color:  rgba(0, 0, 0, 0.15);
                                @include transition(all .3s ease);
                                &:hover{
                                    background-color: darken($primary_color, 10%);
                                    color: $white;
                                }
                                &.owl-prev{
                                    left: 0;
                                    margin-left: 7px;
                                    float: left;
                                }
                                &.owl-next{
                                    right: 0;
                                    margin-right: 7px;
                                    float: right;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

.project_section{
    margin-top: 110px;
    .content_area{
        .header{
            h3{
                font-size: 48px;
                font-weight: 700;
                color: $light_blue;
            }
        }
        .content{
            padding-top: 30px;
            p{
                font-size: 14px;
                font-weight: 400;
                line-height: 21px;
                padding-bottom: 50px;
            }
        }
    }
}

.related_project_section{
    margin-top: 50px;
    .contents_area{
        .header{
            h4{
                font-size: 48px;
                font-weight: 700;
                color: $light_blue;
            }
        }
        .project_slider{
            margin-top: 60px;
            .review_set{
                .owl-carousel{
                    margin-bottom: 190px;
                    .owl-stage{
                        .owl-item{
                            .item{
                                .content_box{
                                    margin-bottom: 30px;
                                    position: relative;
                                    .image{
                                        width: 100%;
                                        height: 496px;
                                        img{
                                            width: 100%;
                                            height: 100%;
                                            object-fit: cover;
                                        }
                                    }
                                    .content{
                                        &.news_opacity{
                                            opacity: 1;
                                        }
                                        position: absolute;
                                        bottom: 0;
                                        left: 0;
                                        opacity: 0;
                                        @include transition(0.3s ease);
                                        .inner_area{
                                            background-color: $light_blue;
                                            padding-top: 30px;
                                            padding-left: 28px;
                                            padding-left: 8px;
                                            padding-bottom: 30px;
                                            h4{
                                                font-size: 24px;
                                                font-weight: 500;
                                                color: $white;
                                            }
                                            p{
                                                font-size: 14px;
                                                font-weight: 400;
                                                line-height: 21px;
                                                color: $white;
                                                padding-top: 10px;
                                                padding-bottom: 12px;
                                            }
                                            a{
                                                font-size: 14px;
                                                font-weight: 400;
                                                color: $white;
                                                i{
                                                    font-size: 12px;
                                                }
                                            }
                                        }
                                    }
                                    &:hover{
                                        .content{
                                            opacity: 1;
                                            @include transition(0.3s ease);
                                        }
                                    }
                                }
                            }
                        }
                    }
                    .owl-nav{
                        position: absolute;
                        top: 43%;
                        width: 100%;
                        i {
                            color: $white;
                            border-radius: 0px;
                            font-size: 24px;
                            width: 60px;
                            height: 60px;
                            text-align: center;
                            line-height: 60px;
                            border: 1px solid $light_blue;
                            background-color: $light_blue;
                            display: block;
                        }
                        .owl-prev {
                            position: absolute;
                            left: -90px;
                        }
                        .owl-next {
                            position: absolute;
                            right: -90px;
                        }
                    }
                }
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
    
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .slider_section{
        padding-top: 50px;
        .detail_slider{
            .detail_page_start{
                .product_images{
                    #sync1{
                        .owl-controls{
                            .owl-buttons{
                                div{
                                    &.owl-prev{
                                        left: 32px;
                                    }
                                    &.owl-next{
                                        right: 32px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    .project_section{
        margin-top: 90px;
        .content_area{
            .header{
                h3{
                    font-size: 36px;
                }
            }
            .content{
                padding-top: 15px;
                p{
                    padding-bottom: 16px;
                }
            }
        }
    }
    .related_project_section{
        margin-top: 0;
        .contents_area{
            .header{
                h4{
                    font-size: 36px;
                }
            }
            .project_slider{
                margin-top: 15px;
                .review_set{
                    .owl-carousel{
                        margin-bottom: 60px;
                        .owl-nav{
                            .owl-prev{
                                left: 50px;
                            }
                            .owl-next{
                                right: 50px;
                            }
                        }
                        .owl-stage{
                            .owl-item{ 
                                .item{
                                    .content_box{ 
                                        .content{
                                            opacity: 1;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .slider_section{
        padding-top: 50px;
        .detail_slider{
            .detail_page_start{
                .product_images{
                    #sync1{
                        .owl-controls{
                            .owl-buttons{
                                div{
                                    &.owl-prev{
                                        left: 32px;
                                    }
                                    &.owl-next{
                                        right: 32px;
                                    }
                                }
                            }
                        }
                    }
                    #sync2{
                        .owl-item{
                            width: 119px !important;
                            .item{
                                width: 118px;
                                height: 109px;
                            }
                        }
                    }
                }
            }
        }
    }
    .project_section{
        margin-top: 90px;
        .content_area{
            .header{
                h3{
                    font-size: 36px;
                }
            }
            .content{
                padding-top: 15px;
                p{
                    padding-bottom: 16px;
                }
            }
        }
    }
    .related_project_section{
        margin-top: 12px;
        .contents_area{
            .header{
                h4{
                    font-size: 36px;
                }
            }
            .project_slider{
                margin-top: 15px;
                .review_set{
                    .owl-carousel{
                        margin-bottom: 35px;
                        .owl-stage{
                            .owl-item{
                                .item{
                                    .content_box{
                                        .image{
                                            height: 350px;
                                        }
                                        .content{
                                          opacity: 1;
                                            .inner_area{
                                                padding-top: 10px;
                                                padding-left: 15px;
                                                padding-bottom: 10px;
                                                h4{
                                                    font-size: 18px;
                                                }
                                                p{
                                                    font-size: 12px;
                                                    padding-top: 6px;
                                                    padding-bottom: 0px;
                                                    line-height: 19px;
                                                }
                                                a{
                                                    font-size: 12px;
                                                    i{
                                                        font-size: 10px;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .owl-nav{
                            top:30%;
                            .owl-prev{
                                left: 40px;
                            }
                            .owl-next{
                                right: 40px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .slider_section{
        padding-top: 22px;
        .detail_slider{
            .detail_page_start{
                .product_images{
                    .item{
                        .single_image{
                            height: 250px;
                        }
                    }
                    #sync1{
                        .owl-controls{
                            .owl-buttons{
                                div{
                                    width: 50px;
                                    height: 50px;
                                    line-height: 50px;
                                    font-size: 26px;
                                    &.owl-prev{
                                        left: 25px;
                                    }
                                    &.owl-next{
                                        right: 25px;
                                    }
                                }
                            }
                        }
                    }
                    #sync2{
                        .owl-wrapper-outer{
                            .owl-wrapper {
                                margin-top: -60px !important;
                                .owl-item{
                                    width: 119px !important;
                                    .item{
                                        width: 118px;
                                        height: 109px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .project_section{
        margin-top: 65px;
        .content_area{
            .header{
                h3{
                    font-size: 28px;
                }
            }
            .content{
                padding-top: 8px;
                p{
                    padding-bottom: 10px;
                }
            }
        }
    }
    
    .related_project_section{
        margin-top: 12px;
        .contents_area{
            .header{
                h4{
                    font-size: 28px;
                }
            }
            .project_slider{
                margin-top: 15px;
                .review_set{
                    .owl-carousel{
                        margin-bottom: 35px;
                        .owl-stage{
                            .owl-item{
                                .item{
                                    .content_box{
                                        .image{
                                            height: 344px;
                                        }
                                        .content{
                                            opacity: 1;
                                            .inner_area{
                                                padding-top: 8px;
                                                padding-left: 10px;
                                                padding-bottom: 8px;
                                                h4{
                                                    font-size: 16px;
                                                }
                                                p{
                                                    font-size: 10px;
                                                    padding-top: 0px;
                                                    padding-bottom: 0px;
                                                    line-height: 16px;
                                                }
                                                a{
                                                    font-size: 10px;
                                                    i{
                                                        font-size: 8px;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .owl-nav{
                            i{
                                width: 50px;
                                height: 50px;
                                line-height: 50px;
                                font-size: 23px;
                            }
                            top:30%;
                            .owl-prev{
                                left: 40px;
                            }
                            .owl-next{
                                right: 40px;
                            }
                        }
                    }
                }
            }
        }
    }   
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .slider_section{
        padding-top: 22px;
        .detail_slider{
            .detail_page_start{
                .product_images{
                    .item{
                        .single_image{
                            height: 189px;
                        }
                    }
                    #sync1{
                        .owl-controls{
                            .owl-buttons{
                                div{
                                    width: 40px;
                                    height: 40px;
                                    line-height: 40px;
                                    font-size: 24px;
                                    &.owl-prev{
                                        left: 10px;
                                    }
                                    &.owl-next{
                                        right: 10px;
                                    }
                                }
                            }
                        }
                    }
                    #sync2{
                        .owl-wrapper-outer{
                            .owl-wrapper {
                                margin-top: -35px !important;
                                .owl-item{
                                    width: 63px !important;
                                    .item{
                                        width: 61px;
                                        height: 45px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .project_section{
        margin-top: 33px;
        .content_area{
            .header{
                h3{
                    font-size: 23px;
                }
            }
            .content{
                padding-top: 7px;
                p{
                    padding-bottom: 7px;
                }
            }
        }
    }
    
    .related_project_section{
        margin-top: 15px;
        .contents_area{
            .header{
                h4{
                    font-size: 23px;
                }
            }
            .project_slider{
                margin-top: 15px;
                .review_set{
                    .owl-carousel{
                        margin-bottom: 45px;
                        .owl-stage{
                            .owl-item{
                                .item{
                                    .content_box{
                                        margin-bottom: 0;
                                        .image{
                                            height: 380px;
                                        }
                                        .content{
                                            opacity: 1;
                                            .inner_area{
                                                padding-top: 8px;
                                                padding-left: 10px;
                                                padding-bottom: 8px;
                                                h4{
                                                    font-size: 18px;
                                                }
                                                p{
                                                    font-size: 13px;
                                                    padding-top: 5px;
                                                    padding-bottom: 0px;
                                                    line-height: 18px;
                                                }
                                                a{
                                                    font-size: 13px;
                                                    i{
                                                        font-size: 11px;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .owl-nav{
                            i{
                                width: 50px;
                                height: 50px;
                                line-height: 50px;
                                font-size: 23px;
                            }
                            top:30%;
                            .owl-prev{
                                left: 40px;
                            }
                            .owl-next{
                                right: 40px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .slider_section{
        padding-top: 22px;
        .detail_slider{
            .detail_page_start{
                .product_images{
                    .item{
                        .single_image{
                            height: 178px;
                        }
                    }
                    #sync1{
                        .owl-controls{
                            .owl-buttons{
                                div{
                                    width: 40px;
                                    height: 40px;
                                    line-height: 40px;
                                    font-size: 24px;
                                    &.owl-prev{
                                        left: 10px;
                                    }
                                    &.owl-next{
                                        right: 10px;
                                    }
                                }
                            }
                        }
                    }
                    #sync2{
                        .owl-wrapper-outer{
                            .owl-wrapper {
                                margin-top: -30px !important;
                                .owl-item{
                                    width: 58px !important;
                                    .item{
                                        width: 61px;
                                        height: 45px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .project_section{
        margin-top: 33px;
        .content_area{
            .header{
                h3{
                    font-size: 23px;
                }
            }
            .content{
                padding-top: 7px;
                p{
                    padding-bottom: 7px;
                }
            }
        }
    }
    
    .related_project_section{
        margin-top: 13px;
        .contents_area{
            .header{
                h4{
                    font-size: 23px;
                }
            }
            .project_slider{
                margin-top: 15px;
                .review_set{
                    .owl-carousel{
                        margin-bottom: 42px;
                        .owl-stage{
                            .owl-item{
                                .item{
                                    .content_box{
                                        margin-bottom: 0;
                                        .image{
                                            height: 380px;
                                        }
                                        .content{
                                            opacity: 1;
                                            .inner_area{
                                                padding-top: 8px;
                                                padding-left: 10px;
                                                padding-bottom: 8px;
                                                h4{
                                                    font-size: 18px;
                                                }
                                                p{
                                                    font-size: 13px;
                                                    padding-top: 5px;
                                                    padding-bottom: 0px;
                                                    line-height: 18px;
                                                }
                                                a{
                                                    font-size: 13px;
                                                    i{
                                                        font-size: 11px;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        .owl-nav{
                            i{
                                width: 50px;
                                height: 50px;
                                line-height: 50px;
                                font-size: 23px;
                            }
                            top:30%;
                            .owl-prev{
                                left: 40px;
                            }
                            .owl-next{
                                right: 40px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}